@echo off
@setlocal

set JAR_FILE_NAME=cimagentfixw32.jar

rem Check that the product exists
set PROD_KEY=ibmcimagent
set PROD_NAME=CIM Agent product
set INST_DIR=
for /F "tokens=13 delims=|" %%a in ('findstr /B /C:"%PROD_KEY%|" %WINDIR%\vpd.properties') do set INST_DIR=%%a
if not "%INST_DIR%"=="" goto et1
  echo Cannot find %PROD_NAME% in %WINDIR%\vpd.properties >&2
  echo %PROD_NAME% may not be installed >&2
  goto endfailed
:et1

rem Check that the jar file exists
set JAR_FILE=%~dp0%JAR_FILE_NAME%
if exist "%JAR_FILE%" goto et2
  echo The jar file %JAR_FILE% does not exist >&2
  goto endfailed
:et2

rem Find the java executable
set JAVA=java
if exist "%INST_DIR%\_jvm\jre\bin\java.exe" set JAVA="%INST_DIR%\_jvm\jre\bin\java.exe"
if exist "%INST_DIR%\_jvm\bin\java.exe" set JAVA="%INST_DIR%\_jvm\bin\java.exe"
%JAVA% -version >NUL 2>NUL
if %errorlevel% NEQ 9009 goto et3
  echo Cannot find the java executable >&2
  goto endfailed
:et3

%JAVA% -version 2>&1 | findstr /R """1\.[34]" >NUL 2>NUL
if %errorlevel% EQU 0 goto et4
  echo The fix installer requires a java version of 1.3.0 or higher >&2
  goto endfailed
:et4

echo Starting the fix installer. Please wait ...
%JAVA% -Xms20m -Xmx60m -cp "%JAR_FILE%" run %*
goto end

:endfailed
echo Cannot apply the fix 
pause
:end

@endlocal
